Bug 6176 - Недостаёт файла с порядком словарей
: Недостаёт файла с порядком словарей
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dictd)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-28 11:52 by
Modified: 2007-01-24 10:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-28 11:52:51
Упорядочивание словарей задаётся в файле 
/etc/dictd.order 
Предлагается создать этот файл (%config(noreplace)) 
заполненным его для известных словарей (пусть и как пример)
------- Comment #1 From 2005-09-22 01:22:18 -------
fixed in dictd >= 1:1.9.11-alt2 
------- Comment #2 From 2005-11-08 01:41:56 -------
Фокус в том, что при наличии файла /etc/dictd.order утилита 
dictdconfig вносит в список доступных словарей только те, 
которые в этом файле упомянуты. А в том файле, что попал в пакет
dictd, упомянуты далеко не все словари даже из тех, что сейчас
есть в Сизифе. В результате команда dict не ищет по части словарей.

Воспроизвести:
1. установить любой словарь из неперечисленных в dictd.order
2. запустить dict по слову, которое заведомо есть в том словаре

Решение вносить файл /etc/dictd.order в пакет dictd кажется мне 
вообще неправильным: всех словарей не предугадаешь, или же с появлением
каждого нового словаря будет проблема обновления этого файла.

Вообще была правильной идея сделать этот файл в качестве примера -- в 
составе документации dictd. Поскольку этот файл должен создавать 
вручную пользователь для себя, подумав, что ему нужно.
И сделать ссылки на него где-то в README, потому что пока их нет.

PS Кстати, упомянутый в конфиге man dictdconfig(8) в пакете dictd отсутствует.
------- Comment #3 From 2005-11-08 04:36:52 -------
Я подумаю; мне вроде бы обещали что такой баги не будет (с тем что словари не 
из dictd.order пропадут). 
------- Comment #4 From 2006-03-07 10:33:17 -------
Исправлен поиск словарей. 
1:1.9.15-alt1